WSMANCLI(1)

NAME
wsmancli - manual page for wsmancli 2.2.6 (201207311652)

DESCRIPTION

  Usage:

    wsman [Option...] <action> <Resource Uri>

Help Options

-?, --help

--help-all
    Show help options

--help-enumeration
    Enumeration Options

--help-tests
    Test Cases

--help-cim
    CIM Options

--help-flags
    Request Flags

--help-event
    Subscription Options

Application Options

-q, --version
    Display application version

-d, --debug=1-6
    Set the verbosity of debugging output.

-j, --encoding
    Set request message encoding

-c, --cacert=<filename>
    Certificate file to verify the peer

-A, --cert=<filename>
    Certificate file. The certificate must be in PEM format.

-K, --sslkey=<key>
    SSL Key.

-u, --username=<username>
    User name

-g, --path=<path>
    Service Path (default: 'wsman')

-J, --input=<filename>
    File with resource for Create and Put operations in XML, can be a SOAP envelope

-p, --password=<password>
    User Password

-h, --hostname=<hostname>
    Host name

-b, --endpoint=<url>
    End point

-P, --port=<port>
    Server Port

-X, --proxy=<proxy>
    Proxy name

-Y, --proxyauth=<proxyauth>
    Proxy user:pwd

-y, --auth=<basic|digest|gss>
    Authentication Method

-a, --method=<custom method>
    Method (Works only with 'invoke')

-k, --prop=<key=val>
    Properties with key value pairs (For 'put', 'invoke' and 'create')

-C, --config-file=<file>
    Alternate configuration file

-O, --out-file=<file>
    Write output to file

-V, --noverifypeer
    Not to verify peer certificate

-v, --noverifyhost
    Not to verify hostname

-I, --transport-timeout=<time in sec>
    Transport timeout in seconds